[PATCH 5 of 8 3.26] [debian] Mention that -postgresql-support binaries are dependency package

Denis Laxalde denis.laxalde at logilab.fr
Tue Jun 25 16:46:25 CEST 2019


# HG changeset patch
# User Denis Laxalde <denis.laxalde at logilab.fr>
# Date 1561466956 -7200
#      mar. juin 25 14:49:16 2019 +0200
# Branch 3.26
# Node ID 1f174cd9749cd1c57a5bfdfcce383f31faaadf80
# Parent  ac79dfde9cb126ee06a0b5c3b5a187f6b7e896bd
# Available At https://hg.logilab.org/review/cubicweb
#              hg pull https://hg.logilab.org/review/cubicweb -r 1f174cd9749c
[debian] Mention that -postgresql-support binaries are dependency package

Fixing lintian warning "empty-binary-package".

diff --git a/debian/control b/debian/control
--- a/debian/control
+++ b/debian/control
@@ -169,10 +169,10 @@ Depends:
  ${python:Depends},
  python-psycopg2,
  postgresql-client
-Description: postgres support for the CubicWeb framework
+Description: postgres support for the CubicWeb framework (Python 2)
  CubicWeb is a semantic web application framework.
  .
- This virtual package provides dependencies to use PostgreSQL for the
+ This is a dependency package to add support for using PostgreSQL for the
  cubicweb repository.
 
 
@@ -188,7 +188,7 @@ Depends:
 Description: postgres support for the CubicWeb framework (Python 3)
  CubicWeb is a semantic web application framework.
  .
- This virtual package provides dependencies to use PostgreSQL for the
+ This is a dependency package to add support for using PostgreSQL for the
  cubicweb repository.
 
 



More information about the cubicweb-devel mailing list